## gnuplot 4.6.6

=== config/mingw/Makefile ===
# Hello, emacs: this is a -*- Makefile -*-
# $Id: Makefile,v 1.14.2.13 2014/06/01 08:58:25 markisch Exp $
#
# GNUPLOT Makefile for MinGW/MSYS on Windows
# This assumes usual installation of the MinGW32 toolkit, the free
# GNU gcc. See www.mingw.org for more details.

# To compile gnuplot for Windows:
# - Change the configuration section in 'config/mingw/Makfile' to
#   match your setup.
# - On the MSYS prompt, change directory to 'config/mingw' and issue the commands
#	 make all
#	 make install
#
# This makefile was tested with MSYS, MingW32 and Microsoft Help
# Workshop 4.03 / Microsoft HTML Help 1.4 SDK.


#
# ************** Begin of Configuration section ************************
#

# Comment out the definition lines to disable the according features:

# Define this only if doing a release build
RELEASE=1

# Use more modern HTML help instead of no longer supported Windows help system
# Please update the HHWPATH below if necessary.
HTML_HELP=1

# GIF, PNG, JPEG device drivers
# Requires gd library. There are two possibilities how to configure these
# drivers for use in gnuplot, depending on the gd version. See README.1ST for
# more details.
#
# You should compile gnuplot with GD library v2.0 or newer.
# This library writes PNG, GIF and JPEG images.
# If libgd has been compiled with TrueType font support, then you can use
# scaled TrueType fonts. If not, then uncomment FREETYPE.
# Requires GD, PNG and Z libraries, optionally libfreetype.
# In some cases, libfreetype can depend on additional libraries such as
# fontconfig or iconv; then, uncomment GDAUTOCONFIGLIBS so that all of the
# libraries needed for linking will be taken by running 'gdlib-config'.
# Uncomment BGD if you want to use the binary DLL version of libgd.
#NEWGD=1
#JPEG=1
#FREETYPE=1
#GDAUTOCONFIGLIBS=1
#BGD=1

# PDF device driver
# Requires PNG and Z libraries based on particular PDF library used, and
# optionally also TIFF library according to
# 1. defined PDF_NOTIFF:
#    'Light' pdf library (produces wgnuplot.exe only 200 KB larger!)
#    You can get this pdf library by compiling it without PNG, GD and TIFF
#    support: change  pdflib/p_intern.h  and recompile the pdf library.
#    Gnuplot does not use the tiff routines, and gd/png are elsewhere.
# 2. undefined PDF_NOTIFF:
#    Full pdf library (produces wgnuplot.exe 500 KB larger!)
#PDF=1
#PDF_NOTIFF=1

# DEBUGging support
# creates binaries suitable for debugging. Some bugs may come and go
# as opposed to a production build since we lower the optimization level
#DEBUG=1

# MOUSE support for the windows terminal
MOUSE=1

# Cairo/Pango terminals
# Uncomment the following lines to select the pngcairo and pdfcairo
# terminals
#CAIROTERMS=1
#CAIROLIBS=1

# WXWIDGETS interactive terminal
# Requires wxWidgets, Cairo, Pango, and their respective dependencies.
# Uncomment the following lines to compile it.
#WXT=1
#CAIROLIBS=1

# Uncomment the following line to select the lua/tikz terminal
#LUA=lua

# Uncomment if you have libiconv
ICONV=1

# Below you can adapt paths according to your software setup:

# Where to place the helpfile:
ifdef HTML_HELP
  HELPFILE = wgnuplot.chm
  HELPFILEJA = wgnuplot-ja.chm
else
  HELPFILE = wgnuplot.hlp
endif

# Where to install the PostScript prologue files, relatively to the executable
# wgnuplot.exe
GNUPLOT_PS_DIR = share/PostScript

# Similarly for javascript files for the canvas terminal:
GNUPLOT_JS_DIR = share/js

# Similarly for scripts used by the lua terminal
GNUPLOT_LUA_DIR = share/lua

# Install will put TeX files here:
GNUPLOT_TEX_DIR = share/texmf/tex

# gnuplot will look for gnuplotrc here:
GNUPLOT_SHARE_DIR = share

# Destination directory, used in 'make install':
#DESTDIR = /local/opt/gnuplot-4.5
DESTDIR = "$(PROGRAMFILES)/gnuplot"

# give here the path to MinGW compiler unless it is already in PATH
#GCCPATH = g:/mingw32/bin/
#GCCPATH = c:/apps/mingw/bin/

# Do you want some special optimization?
# -mpentium means optimise for Pentium processor
# -mpentiumpro means optimize for Pentium II and Pro processors
#CFLAGS +=

ifdef HTML_HELP

# To compile the .chm file you need the Microsoft HTML Help 1.4 SDK
# It can be obtained here:
# http://go.microsoft.com/fwlink/?LinkId=154968
# We need to explicitly set the correct path here since we also need
# adjust the include and library paths.
HHWPATH = "$(PROGRAMFILES)/HTML Help Workshop/"
HHC = $(HHWPATH)hhc

else

# To compile the .hlp file you need hcw either out of Microsoft SDK or MS Help
# Workshop. The latter can be obtained from either of
# ftp://ftp.microsoft.com/softlib/mslfiles/hcwsetup.exe
# http://www.microsoft.com/downloads/details.aspx?displaylang=en&FamilyID=34D35502-4DE9-4676-952C-34CC7F64F098
# Put the path to hcw here unless it is already in PATH:
HCWPATH = "$(PROGRAMFILES)/Help\ Workshop/"
HCW = $(HCWPATH)hcw
# Switches are for HCW 4.03:
HCWFLAG =

endif

# Choose which resource compiler you want to use (GNU windres or MS rc):
GNU_RC = 1
ifndef GNU_RC
  # If uncommented GNU_RC above and rc.exe not in PATH, then set:
  MSSDK = c:/mssdk
endif

# GNU sort
GNUSORT = /bin/sort

# Inno Setup Compiler
# get it from: http://www.jrsoftware.org/isdl.php
ISCC = "$(PROGRAMFILES)/Inno Setup 5/iscc"

# Directory that might contain extra files to be shipped with the installer.
# This should include dependencies like DLLs, but also fontconfig configuration files.
#EXTRADIST = /d/Software/gnuplot-misc/gp-dist

#
# *************** End of Configuration section *************************
#


#         There shouldn't be anything to be changed below this line
# **********************************************************************
#

# Choose target to compile:
# 1. wgnuplot.exe: The usual Windows GUI for input commands.
# 2. wgnuplot_pipes.exe: The usual Windows GUI with support of pipes, so
#    that e.g.  plot '<awk -f preprocess.awk my.dat')  or  x=system('ls -1')
#    can work. Drawback: wgnuplot_pipes.exe keeps attached to a console (DOS)
#    window it was launched from, or it opens a new one.
# 3. gnuplot.exe: Console mode instead of GUI for the text input.
#
# Comment for programs using gnuplot as their plotting engine:
# Both wgnuplot*.exe compile also pgnuplot.exe. This small helper program was
# used when gnuplot.exe was not available on Windows. Nowadays, pgnuplot.exe
# is deprecated -- please use gnuplot.exe instead.

# PIPES: define if you would prefer support of pipes undef Windows (e.g.
# plot '<awk -f preprocess.awk my.dat'). Drawback: wgnuplot_pipes.exe keeps
# attached to a console=DOS window it was launched from, or it opens a new one.
# Note: Maybe it does not work properly with pgnuplot (not tested recently).

# CONSOLE: define if you would prefer the console (non-GUI) version of the
# text command window.

ifndef TARGET
TARGET=wgnuplot.exe
#TARGET=wgnuplot_pipes.exe
#TARGET=gnuplot.exe
endif

# Set PGNUPLOT, PIPES and CONSOLE according to the target
ifeq ($(TARGET),wgnuplot.exe)
	PGNUPLOT=pgnuplot.exe
	MENUFILE=wgnuplot.mnu
	O=o
endif
ifeq ($(TARGET),wgnuplot_pipes.exe)
	MENUFILE=wgnuplot.mnu
	PIPES=1
	O=po
endif
ifeq ($(TARGET),gnuplot.exe)
	PIPES=1
	CONSOLE=1
	O=co
endif


CC = $(GCCPATH)gcc
LD = $(CC)
CXX = $(GCCPATH)g++
LDX = $(CXX)

RM = rm -f
CP = cp -p

ifdef DEBUG
  CFLAGS += -g -Wall -pipe
  LDFLAGS += -g
else
  CFLAGS += -O2 -pipe
  LDFLAGS += -s
endif

LDFLAGS2 = -mwindows
ifdef PIPES
  OPTS += -DPIPES
  LDFLAGS2 = -mconsole
endif

ifdef CONSOLE
  OPTS += -DWGP_CONSOLE -DCONSOLE_SWITCH_CP
  LDFLAGS2 = -mconsole
endif

TOP = ../..

# macros for makefile.all
#O has been defined above already
#O=o
S=$(TOP)/src
W=$(S)/win
T=$(TOP)/term/
D=$(TOP)/docs/
M=$(TOP)/demo/

VPATH = $(S):$(W):$(S)/wxterminal

TERMFLAGS = -DGNUPLOT_PS_DIR=\"$(GNUPLOT_PS_DIR)\" -DGNUPLOT_JS_DIR=\"$(GNUPLOT_JS_DIR)\"
TERMFLAGS += -I$(TOP)/term

TERMLIBS =

CFLAGS += -I. -I$(S) -D_Windows -DHAVE_CONFIG_H $(OPTS)
CFLAGS += -DGNUPLOT_SHARE_DIR=\"$(GNUPLOT_SHARE_DIR)\"

ifndef RELEASE
  CFLAGS += -DDEVELOPMENT_VERSION
endif

ifdef MOUSE
  CFLAGS += -DUSE_MOUSE=1 -DWIN_IPC
endif

ifdef HTML_HELP
  CFLAGS += -DWITH_HTML_HELP -I$(HHWPATH)include
  BUILDHELPFILE = $(D)windows/$(HELPFILE)
else
  BUILDHELPFILE = $(HELPFILE)
endif

ifdef NEWGD
  GD=1
  PNG=1
endif

ifdef GD
  CFLAGS += -DHAVE_LIBGD
  ifndef BGD
    TERMLIBS += -lgd
  else
    TERMLIBS += -lbgd
  endif
endif

ifdef PNG
  CFLAGS += -DHAVE_LIBPNG
  ifndef BGD
  ifndef GDAUTOCONFIGLIBS
    TERMLIBS += -lpng -lz
  endif
  endif
endif

ifdef NEWGD
  CFLAGS += -DHAVE_LIBGD -DHAVE_GD_H -DHAVE_GD_GIF -DGIF_ANIMATION -DHAVE_GD_PNG
ifdef JPEG
  CFLAGS += -DHAVE_GD_JPEG
  ifndef BGD
  ifndef GDAUTOCONFIGLIBS
    TERMLIBS += -ljpeg
  endif
  endif
endif
ifdef FREETYPE
  CFLAGS += -DHAVE_GD_TTF
  ifndef BGD
  ifndef GDAUTOCONFIGLIBS
    TERMLIBS += -lfreetype
  endif
  endif
endif
ifdef GDAUTOCONFIGLIBS
  TERMLIBS += $(shell gdlib-config --libs)
endif
endif

ifdef PDF
  CFLAGS += -DHAVE_LIBPDF
ifdef PDF_NOTIFF
  TERMLIBS += -lpdf_notiff
else
  TERMLIBS += -lpdf -ltiff
#  TERMLIBS += -lpdf-w -ltiff-w
endif
ifndef PNG
  NEED_PNG_W = 1
else
ifndef NEWGD
  NEED_PNG_W = 1
endif
endif
ifdef NEED_PNG_W
  CFLAGS += -DHAVE_LIBPNG
  TERMLIBS += -lpng-w -lz-w
endif
endif

ifdef CAIROLIBS
	CAIRO_CFLAGS := $(shell pkg-config --cflags cairo | sed s_-Ic:_-I/c_g)
	PANGOCAIRO_CFLAGS := $(shell pkg-config --cflags pangocairo cairo | sed s_-Ic:_-I/c_g)
	PANGOCAIRO_LIBS := $(shell pkg-config --libs pangocairo cairo | sed s_-Lc:_-L/c_g)
	CAIRO_OBJS := gp_cairo.$(O) gp_cairo_helpers.$(O)
	TERMFLAGS += $(PANGOCAIRO_CFLAGS)
endif

ifdef CAIROTERMS
	CFLAGS += -DHAVE_CAIROPDF
	TERMFLAGS += -DHAVE_CAIROEPS
endif

ifdef WXT
	CFLAGS += -DWXWIDGETS
	WXT_CXXFLAGS := $(shell wx-config --cxxflags)
	CXXFLAGS += $(WXT_CXXFLAGS)
	WX_LIBS := $(shell wx-config --libs | sed -e "s+-Wl,--subsystem,windows++g" -e "s+-mwindows++g")
	WX_OBJS = wxt_gui.$(O)
endif

ifdef LUA
	CFLAGS += -DHAVE_LUA
	TERMLIBS += -l$(LUA)
	TERMFLAGS += -DGNUPLOT_LUA_DIR=\"$(GNUPLOT_LUA_DIR)\"
	LUATARGETS += gnuplot-lua-tikz.sty
endif

ifdef ICONV
	CFLAGS += -DHAVE_ICONV
	TERMLIBS += -liconv
endif

ifdef GNU_RC
  # RC = d:/cygnus/cygwin-b20/H-i586-cygwin32/bin/windres
  RC  = $(GCCPATH)windres
  RCFLAGS = --include-dir=$(W) \
	--define __WIN32__ --define __WIN95__ --define MSRC \
	--define __GNUWIN32__ --use-temp-file
  RCOUT = wgplt_res.$(O)
  RES2COFF = echo wgplt_res.$(O)
else
  RC = $(MSSDK)/bin/rc
  RCFLAGS = -v -i$(MSSDK)/include -i$(W) -dWIN32 -dMSRC
  RCOUT = -fowgnuplot.res
  RES2COFF = res2coff -i wgnuplot.res -o wgplt_res.$(O)
endif

default: $(TARGET) $(MENUFILE) support

console:
	$(MAKE) TARGET=gnuplot.exe gnuplot.exe

windows: $(MENUFILE)
	$(MAKE) TARGET=wgnuplot.exe wgnuplot.exe

pipes:
	$(MAKE) TARGET=wgnuplot_pipes.exe wgnuplot_pipes.exe

docs:
	$(MAKE) TARGET=gnuplot.exe gnuplot.pdf gpcard.pdf tutorial.pdf \
		ps_symbols.pdf ps_fontfile_doc.pdf ps_guide.pdf

support: $(HELPFILE) $(M)bf_test.exe $(PGNUPLOT) $(LUATARGETS) $(HELPFILEJA)

ja: $(HELPFILEJA)

all: $(S)/version.c console windows pipes support docs


# include the 'core makefile template'
include $(S)/makefile.all

OBJS = $(COREOBJS) version.$(O) gpexecute.$(O) $(WX_OBJS) $(CAIRO_OBJS)

WINOBJS = winmain.$(O) wgnuplib.$(O) wgraph.$(O) wprinter.$(O) wtext.$(O) \
	  wpause.$(O) wmenu.$(O) screenbuf.$(O) wgdiplus.$(O)

# default rules
.SUFFIXES: .exe .$(O) .c
.c.$(O):
	$(CC) -c $(CFLAGS) $(CFLAGSEXTRA) -MMD -MT '$*.$$(O)' -MF $*.d -o $@ $<

LDLIBS = -lkernel32 -lgdi32 -lwinspool -lcomdlg32 -lcomctl32 -ladvapi32 -lshell32 -lmsimg32 -lgdiplus

ifdef HTML_HELP
  LDLIBS += -lhtmlhelp
  LDFLAGS2 += -L$(HHWPATH)lib
endif

$(TARGET): $(OBJS) $(WINOBJS) wgplt_res.$(O) texticon.ico grpicon.ico
	$(LDX) $(LDFLAGS) $(LDFLAGS2) -o $@ $(OBJS) $(WINOBJS) wgplt_res.$(O) $(LDLIBS)\
	$(TERMLIBS) $(WX_LIBS) $(PANGOCAIRO_LIBS)

$(PGNUPLOT): $(W)/pgnuplot.c version.$(O)
	$(CC) -O2 -DHAVE_STDBOOL_H -s -o $@ $^ -I$(W) -I$(S) -luser32

# pull in dependency info for existing object files
ifndef NODEPS
-include $(OBJS:.$(O)=.d)

=== config/watcom/Makefile ===
# Hello, emacs: this is a -*- Makefile -*-
# $Id: Makefile,v 1.8 2011/04/17 19:03:48 broeker Exp $
#
# GNUPLOT Makefile OpenWatcom 1.3 on Win32

# To compile:
#       Either, from ..\src:
#         wmake -f ..\config\makefile.oww
#       or copy this file to ..\src, edit it to your liking, then
#       from ..\src:
#         wmake -f makefile.oww
# 
# History of this file:
# 2004-02-23: Created by massive editing of makefile.nt (and config.nt)
# 2004-04-25: Removed all remaining MS-isms (by peeking at how OW's
#  MS namesake replacement tools generate their command lines)
#

# enable exactly one of these:
VARIANT = PLAIN
#VARIANT = PIPES
#VARIANT = CONSOLE

TOP = ..\..

# activate one of these to choose which of the help file formats you want:
#   old-fashioned WinHelp ...
# HELP_EXT=hlp
#   ... or HTML help
HELP_EXT=chm

# Programs: 
# The Microsoft Help compiler:
HCW = "c:\program files\help workshop\hcw.exe"
# ... and the HTML help compiler
HHC_DIR = c:\Program Files\HTML Help Workshop
HHC = "$(HHC_DIR)\hhc.exe"

# OpenWatcom programs:
WCL = wcl386
WCC = wcc386
WLD = wlink
WRC = wrc

# Speed up compilation a bit by running the compiler as a DLL from
# inside wmake:
!ifdef __LOADDLL__
!  loaddll wcc      wccd
!  loaddll wccaxp   wccdaxp
!  loaddll wcc386   wccd386
!  loaddll wpp      wppdi86
!  loaddll wppaxp   wppdaxp
!  loaddll wpp386   wppd386
!  loaddll wlink    wlinkd
!  loaddll wlib     wlibd
!endif

# Where to install the PostScript prologue files, relatively to the executable
# wgnuplot.exe
GNUPLOT_PS_DIR = share/PostScript

# paths for external libs added here... 
LDLIBS = 

# Macros for makefile.all
O=obj
T=$(TOP)\term\
D=$(TOP)\docs\
M=$(TOP)\demo\
S=$(TOP)\src
W=$(S)\win

BINARYFILES=$(M)binary1 $(M)binary2 $(M)binary3

# compiler flags: 
#
# Defines

CPPFLAGS =  -DHAVE_CONFIG_H -D_Windows -DHAVE_CONFIG_H -DUSE_MOUSE -DEAM_OBJECTS
# library-dependent ones may have to be added, like:
# -DHAVE_LIBPNG -DHAVE_LIBPDF 

HELPFILE = wgnuplot.$(HELP_EXT)

DEFAULT_TARGETS = $(BINARYFILES) $(HELPFILE)

TARGETS_PLAIN=wgnuplot.exe wgnuplot.mnu pgnuplot.exe
EXTRA_CPPFLAGS_PLAIN = 

TARGETS_PIPES=wgnuplot_pipes.exe wgnuplot.mnu pgnuplot.exe
EXTRA_CPPFLAGS_PIPES = -DPIPES=1

TARGETS_CONSOLE=gnuplot.exe
EXTRA_CPPFLAGS_CONSOLE = -DPIPES=1 -DWGP_CONSOLE

ALL_TARGETS = $(DEFAULT_TARGETS) $(TARGETS_PLAIN) $(TARGETS_PIPES) $(TARGETS_CONSOLE)

DEFAULT_TARGETS += $(TARGETS_$(VARIANT))

!ifeq HELP_EXT chm
CPPFLAGS += -DWITH_HTML_HELP
LDLIBS += LIBRARY htmlhelp.lib
!endif

# compiler flags, determined from MS ones by OW's "cl /showwopts"

# -c  : don't link
# -I  : add directory to include search path
# -zq : don't show a version banner message
# -5r : P5-optimized, 386-compatible code, register calling convention
# -zm : put each function in its own section to improve dead code elimination
# -bm : target multi-threaded environment
# -sg : grow the stack if needed
# -zlf: store library usage in .obj files
# -ei : force sizeof(enum) >= sizeof(int)
# -o  : optimization options:   
#    r:   reorder for pipelining
#    i:   inline intrinsics
#    l:   loop optimizations
#    t:   optimize for speed
# -j  : char is signed
# -aa : allow non-const initializers for locals
# -d2 : debug information
WCFLAGS = -zlf -ei -zq -I$(S);$(W) -zm -bm -5r -sg -orilt -j -aa -d2 $(CPPFLAGS) $(OPTS)
# removed: -za99

# ...and here.
# see other terminal defines in term.h
TERMFLAGS = -DGNUPLOT_PS_DIR="$(GNUPLOT_PS_DIR)" -I$(T)

# Note: like makefile.wc, this need the special Watcom-style version of
# makefile.all, because line continuation in WMake is different...
!INCLUDE $(S)\makefile.awc

default: $(DEFAULT_TARGETS) .SYMBOLIC

all: $(ALL_TARGETS) .SYMBOLIC

WINOBJS = winmain.$(O) wgnuplib.$(O) wgraph.$(O) wprinter.$(O) wtext.$(O) &
        wpause.$(O) wmenu.$(O) gpexecute.$(O) screenbuf.$(O)

OBJS = $(COREOBJS) version.$(O) $(WINOBJS)

O=cobj
CONSOLE_OBJS = $+ $(OBJS) $-
O=pobj
PIPE_OBJS = $+ $(OBJS) $-
O=obj

WIN_EXTRA_INPUTS = wgnuplot.res texticon.ico grpicon.ico

# extensions:
.EXTENSIONS:
.EXTENSIONS: .exe .cobj .pobj .obj .asm .pas .c .cpp .for

.c: $(S);$(W)

# default rule
.c.obj: .AUTODEPEND
        $(WCC) $(WCFLAGS) $[@

.c.cobj: .AUTODEPEND
		$(WCC) $(EXTRA_CPPFLAGS_CONSOLE) $(WCFLAGS) $[@ -fo=$^@

.c.pobj: .AUTODEPEND
		$(WCC) $(EXTRA_CPPFLAGS_PIPES) $(WCFLAGS) $[@ -fo=$^@

# file-specific rules
wgnuplot.exe: $(OBJS) $(WIN_EXTRA_INPUTS)
        $(WLD) @<<linkopt1.oww $(LDLIBS)
RUNTIME windows=4.0
SYSTEM nt_win
DEBUG ALL
OPTION quiet
FILE {
 $(OBJS)
}
LIBRARY kernel32.lib,user32.lib,gdi32.lib,winspool.lib,comdlg32.lib
LIBRARY comctl32.lib,advapi32.lib,shell32.lib
LIBRARY msimg32.lib
OPTION map
OPTION SYMFILE
NAME $^&
OPTION stack=1M
OPTION resource=wgnuplot.res
OPTION ELIMINATE
REFERENCE _wstart_ 
OPTION START=_wstart_
<<

wgnuplot_pipes.exe: $(PIPE_OBJS) $(WIN_EXTRA_INPUTS)
        $(WLD) @<<linkopt1.oww $(LDLIBS)
RUNTIME windows=4.0
SYSTEM nt_win
DEBUG ALL
OPTION quiet
FILE {
 $(PIPE_OBJS)
}
LIBRARY kernel32.lib,user32.lib,gdi32.lib,winspool.lib,comdlg32.lib
LIBRARY advapi32.lib,shell32.lib
LIBRARY msimg32.lib
OPTION map
OPTION SYMFILE
NAME $^&
OPTION stack=1M
OPTION resource=wgnuplot.res
OPTION ELIMINATE
REFERENCE _wstart_ 
OPTION START=_wstart_
<<

gnuplot.exe: $(CONSOLE_OBJS) $(WIN_EXTRA_INPUTS) 
        $(WLD) @<<linkopt1.oww $(LDLIBS)
RUNTIME console=4.0
SYSTEM nt
DEBUG ALL
OPTION quiet
FILE {
 $(CONSOLE_OBJS)
}
LIBRARY kernel32.lib,user32.lib,gdi32.lib,winspool.lib,comdlg32.lib
LIBRARY advapi32.lib,shell32.lib
LIBRARY msimg32.lib
OPTION map
OPTION SYMFILE
NAME gnuplot.exe
OPTION stack=1M
OPTION resource=wgnuplot.res
OPTION ELIMINATE
#REFERENCE _wstart_ 
#OPTION START=_wstart_
<<keep

# NOTE: Unknown what /l 0x409 does in MS RC call --- seems to work without, though
wgnuplot.res :  $(W)\wgnuplot.rc $(W)\wgnuplib.rc &
  $(W)\wresourc.h texticon.ico grpicon.ico
        $(WRC) -r -q -bt=nt -fowgnuplot.res -i=$(W) &
	   -d_WIN32 -dNDEBUG -dWIN32 -dMSRC $(W)\wgnuplot.rc

term.obj: $(S)\term.c $(CORETERM) .AUTODEPEND
        $(WCC) $(WCFLAGS) $(TERMFLAGS) $[@
term.cobj: $(S)\term.c $(CORETERM) .AUTODEPEND
        $(WCC) $(EXTRA_CPPFLAGS_CONSOLE) $(WCFLAGS) $(TERMFLAGS) $[@ -fo=$^@
term.pobj: $(S)\term.c $(CORETERM) .AUTODEPEND
        $(WCC) $(EXTRA_CPPFLAGS_PIPES) $(WCFLAGS) $(TERMFLAGS) $[@ -fo=$^@

wgnuplot.mnu: $(W)\wgnuplot.mnu
        copy $(W)\wgnuplot.mnu wgnuplot.mnu

pgnuplot.exe: $(W)\pgnuplot.c version.$(O) .AUTODEPEND
        $(WCL) -5r -zq -d2 -fm $(W)\pgnuplot.c -fe=pgnuplot.exe -I$(S) &
	  version.$(O) user32.lib


# extract icons from wgnuplot.rc
texticon.ico: geticon.exe $(W)\wgnuplot.rc
        geticon $(W)\wgnuplot.rc

grpicon.ico: geticon.exe $(W)\wgnuplot.rc
        geticon $(W)\wgnuplot.rc

geticon.exe: $(W)\geticon.c
        $(WCL) -bcl=nt -fd -fe=geticon.exe $[@

# convert gnuplot.doc to gnuplot.rtf
wgnuplot.hlp: doc2rtf.exe $(D)gnuplot.doc $(W)\wgnuplot.hpj
        doc2rtf $(D)gnuplot.doc $(W)\gnuplot.rtf
        $(HCW) /c /e $(W)\wgnuplot.hpj
        if exist $(W)\wgnuplot.hlp copy $(W)\wgnuplot.hlp .

doc2rtf.exe: $(D)doc2rtf.c $(D)termdoc.c $(D)xref.c .AUTODEPEND
        $(WCL) $(WCFLAGS) -w1 -DWINDOWS_NO_GUI -I$(D);$(T) -fe$^@ $(D)doc2rtf.c $(D)termdoc.c $(D)xref.c

WD=$(D)windows\
HHP_PROJ=$(WD)wgnuplot.hhp
HHP_CONTENT=$(WD)wgnuplot.hhc
HHP_INPUT=$(WD)wgnuplot.html
HHP_OUTPUT=$(WD)wgnuplot.chm   

wgnuplot.chm: $(HHP_OUTPUT)
        copy $(HHP_OUTPUT) .

$(HHP_OUTPUT): $(HHP_PROJ) $(HHP_INPUT) $(HHP_CONTENT)
        -$(HHC) $(HHP_PROJ)

$(HHP_INPUT) $(HHP_CONTENT): doc2html.exe $(D)gnuplot.doc
        doc2html $(D)gnuplot.doc $(WD)

doc2html.exe: $(WD)doc2html.c $(D)termdoc.c $(D)xref.c version.$(O) .AUTODEPEND
        $(WCL) $(WCFLAGS) -w1 -DWINDOWS_NO_GUI -I$(D);$(T) -fe$^@ $(WD)doc2html.c $(D)termdoc.c $(D)xref.c version.$(O)

gnuplot.gih: doc2gih.exe $(D)gnuplot.doc
        doc2gih $(D)gnuplot.doc $^@

doc2gih.exe: $(D)doc2gih.c $(D)termdoc.c $(D)xref.c .AUTODEPEND
        $(WCL) $(EXTRA_CPPFLAGS_CONSOLE) $(WCFLAGS) -w1 -I$(D);$(T) -fe$^@ $(D)doc2gih.c $(D)termdoc.c $(D)xref.c

#make binary demo files
bf_test.exe : bf_test.c dbinary.$(O) alloc.$(O) .AUTODEPEND
        $(WCL) $(WCFLAGS) -w1 -DWINDOWS_NO_GUI -fe$^@ $(S)\bf_test.c dbinary.$(O) alloc.$(O)

$(BINARYFILES): bf_test.exe
        .\bf_test
        move binary? $(M).

# _Windows causes wtext.h to define fread() etc
dbinary.$(O): $(S)\binary.c
        $(WCC) $(WCFLAGS) /U_Windows -w1 -fodbinary.$(O) $[@

# clean up temporary files
clean: .SYMBOLIC
        rm -f *.obj *.cobj *.pobj *.err *.ico
        rm -f wgnuplot.res $(W)\gnuplot.rtf $(W)\wgnuplot.hlp
        rm -f bf_test.exe linkopt1.oww doc2rtf.exe doc2html.exe geticon.exe
		rm -f doc2gih.exe gnuplot.gih
        rm -f *.map *.sym wgnuplot.gid        

realclean: clean .SYMBOLIC
        rm -f wgnuplot.exe wgnuplot.mnu pgnuplot.exe gnuplot.exe wgnuplot_pipes.exe
        rm -f $(HHP_CONTENT) $(HHP_INPUT) $(HHP_OUTPUT) $(WD)wgnuplot.log
        rm -f wgnuplot.hlp wgnuplot.chm wgnuplot.chw
        rm -f $(D)binary[123] $(D)fit.log $(D)soundfit.par

=== debian/changelog ===
gnuplot (4.6.6-4) unstable; urgency=medium

  * [701337b] Remove gnuplot4 binaries in favor of gnuplot5.
              Let gnuplot be virtual package only.
  * [720f498] Do not compile gnuplot4.
  * [c11ce5e] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Tue, 31 May 2016 21:34:35 +0200

gnuplot (4.6.6-3) unstable; urgency=medium

  * [5b6c81a] Make gnuplot be dependent on version 5.
  * [7bf195b] Apply cme fix dpkg-control.

 -- Anton Gladky <gladk@debian.org>  Wed, 26 Aug 2015 22:57:59 +0200

gnuplot (4.6.6-2) unstable; urgency=medium

  * [e141e1d] Move update-alternatives for gnuplot.gih from 
              gnuplot to gnuplot4. (Closes: #776434)

 -- Anton Gladky <gladk@debian.org>  Wed, 28 Jan 2015 20:48:39 +0100

gnuplot (4.6.6-1) unstable; urgency=medium

  * [5b5e9cd] Imported Upstream version 4.6.6
  * [0a383da] Refresh patches.
  * [006e379] Set Standards-Version: 3.9.6. No changes.
  * [cc0778a] Fix lintian warning in d/copyright.

 -- Anton Gladky <gladk@debian.org>  Mon, 29 Sep 2014 19:33:35 +0200

=== debian/control ===
Source: gnuplot
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: math
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/gnuplot.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/gnuplot.git
Homepage: http://gnuplot.sourceforge.net/

Package: gnuplot
Architecture: all
Depends: gnuplot5-qt | gnuplot5-x11 | gnuplot5-nox,
         ${misc:Depends}
Description: Command-line driven interactive plotting program
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
 is packaged in gnuplot-x11.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package is for transition and to install a full-featured gnuplot
 supporting the X11-output.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@


override_dh_auto_configure:

override_dh_auto_build:

override_dh_auto_install:

## gnuplot 5.0.3+dfsg3

=== debian/changelog ===
gnuplot (5.0.3+dfsg3-5) unstable; urgency=medium

  [ Sven Joachim ]
  * [e3a51ae] Remove duplicated update-alternatives. (Closes: #826933)

 -- Anton Gladky <gladk@debian.org>  Fri, 10 Jun 2016 20:03:04 +0200

gnuplot (5.0.3+dfsg3-4) unstable; urgency=medium

  * [2170a95] Update relationship number in Breaks/Replaces. (Closes: #826701)
  * [0990e6a] Remove some not needed files from examples.

 -- Anton Gladky <gladk@debian.org>  Thu, 09 Jun 2016 22:22:55 +0200

gnuplot (5.0.3+dfsg3-3) unstable; urgency=medium

  * [4142d72] Do not install info-file, while gnuplot5 exists.
              (Closes: #826708)
  * [4a02077] Remove old alternatives in postinst. (Closes: #826721)
  * [2fccdd2] Try to get reproducibility.
  * [a82b00e] Use compat-level 10.

 -- Anton Gladky <gladk@debian.org>  Wed, 08 Jun 2016 22:33:31 +0200

gnuplot (5.0.3+dfsg3-2) unstable; urgency=medium

  * [b82259c] Add Breaks/Replaces against gnuplot-tex. (Closes: #826701)

 -- Anton Gladky <gladk@debian.org>  Wed, 08 Jun 2016 08:54:18 +0200

gnuplot (5.0.3+dfsg3-1) unstable; urgency=medium

  * [9595f81] Update install-files for gnuplot v.5. (Closes: #812906)
  * [874c1d8] Exclude lena* files. (Closes: #809813)
  * [c4878f7] Imported Upstream version 5.0.3+dfsg3
  * [92875fb] Update priorities in update-alternatives.
  * [75f5c94] Apply cme fix dpkg.
  * [4b40bb2] Update Provides for gnuplot-nox.

 -- Anton Gladky <gladk@debian.org>  Tue, 07 Jun 2016 22:32:13 +0200

gnuplot (5.0.3+dfsg2-1) unstable; urgency=medium

  * [e835fa1] Update d/watch.
  * [f9c5d19] Imported Upstream version 5.0.3+dfsg2
  * [29a7ef2] Remove patch, applied by upstrem.

 -- Anton Gladky <gladk@debian.org>  Mon, 22 Feb 2016 18:59:57 +0100

gnuplot5 (5.0.3+dfsg1-2) unstable; urgency=medium

  * [5b904ca] Revert previous "provides-option". (Closes: #814415)

 -- Anton Gladky <gladk@debian.org>  Fri, 12 Feb 2016 20:25:36 +0100

gnuplot5 (5.0.3+dfsg1-1) unstable; urgency=medium

  * [4b3a3ce] Imported Upstream version 5.0.3+dfsg1
  * [8767584] Update patches.
  * [1bcf48b] Fix format not a string error.
  * [0e4ff3f] Apply cme fix dpkg.
  * [6a42bd9] Add Provides-section for gnuplot4. Prepare for gnuplot4 removal.

 -- Anton Gladky <gladk@debian.org>  Mon, 08 Feb 2016 13:30:56 +0100

gnuplot5 (5.0.2+dfsg1-2) unstable; urgency=medium

  * [7bb549d] Fix font size on wxt-terminal. (Closes: #810943)
  * [5a638de] Update d/copyright.

 -- Anton Gladky <gladk@debian.org>  Mon, 18 Jan 2016 09:08:36 +0100

gnuplot5 (5.0.2+dfsg1-1) unstable; urgency=medium

  * [d183a84] Remove so-files from d/copyright (fixed by upstream)
  * [9a496d5] Imported Upstream version 5.0.2+dfsg1. (Closes: #806039)
  * [5be40e0] Refresh patches.
  * [65d724b] Update d/copyright.
  * [09f724d] Add dh-lua to BD.

 -- Anton Gladky <gladk@debian.org>  Tue, 12 Jan 2016 08:11:01 +0100

gnuplot5 (5.0.1+dfsg1-3) unstable; urgency=medium

  [ Martin Pitt <martin.pitt@ubuntu.com> ]
  * Add 13_no_pie.patch: Don't build with -fPIE, Qt barfs on that with
    gcc >= 5. (http://code.qt.io/cgit/qt/qtbase.git/commit/?id=3eca75d)
    (Closes: #795076)
  * debian/rules: Also drop "pie" from hardening flags. Instead, build with
    -fPIC; it's conceptually wrong, but it's what the above Qt check insists
    on.

 -- Anton Gladky <gladk@debian.org>  Tue, 11 Aug 2015 22:07:13 +0200

gnuplot5 (5.0.1+dfsg1-2) unstable; urgency=medium

  [ Vincent Lefevre ]
  * Team upload.
  * [1171a98] Provide info manual. (Closes: #778757)

 -- Anton Gladky <gladk@debian.org>  Mon, 29 Jun 2015 23:36:42 +0200

gnuplot5 (5.0.1+dfsg1-1) unstable; urgency=medium

  * [c0fd77e] Imported Upstream version 5.0.1+dfsg
  * [be6c05e] Add suffix to uscan tarball.
  * [47f23a2] Refresh patches.

 -- Anton Gladky <gladk@debian.org>  Wed, 17 Jun 2015 17:54:45 +0200

gnuplot5 (5.0.0+dfsg1-1) unstable; urgency=medium

  * [6654139] Update description of doc.patch.
  * [d62554c] Remove docs/gnuplot.doc from Files-Excluded.
  * [0bde847] Update watch-file.
  * [094380f] Update d/copyright.
  * [03fde84] Use cme fix dpkg-control.
  * [5b554ce] Fix package build with -A option.

 -- Anton Gladky <gladk@debian.org>  Tue, 28 Apr 2015 21:38:18 +0200

gnuplot5 (5.0.0+dfsg1-1~exp1) experimental; urgency=medium

  * [852f781] Imported Upstream version 5.0.0+dfsg1
  * [ebf57b8] Remove doc-patch.
  * [a4d5d14] Update d/watch.
  * [6b6db31] Update d/copyright.
  * [7907a7a] Update doc-generation.
  * [e56cfca] Enable wxt-terminal.

 -- Anton Gladky <gladk@debian.org>  Thu, 22 Jan 2015 23:15:42 +0100

gnuplot5 (5.0.0~rc+dfsg3-1) experimental; urgency=medium

  [ Anton Gladky ]
  * [3071bf2] Imported Upstream version 5.0~rc3
  * [d89f2c1] Set Standards-Version: 3.9.6. No changes.

  [ Mattia Rizzolo ]
  * [8770897] Do not build-depend on qt5-default. (Closes: #769235)

 -- Anton Gladky <gladk@debian.org>  Tue, 18 Nov 2014 19:18:52 +0100

gnuplot5 (5.0.0~rc+dfsg2-1) unstable; urgency=medium

  * [6c51a9d] Update copyright-file.
  * [796b51a] Replace binary by Source-version in d/control.
  * [5e8c834] Remove README.Debian and TODO.
  * [5e486cc] Update debian/watch.
  * [947cf8e] Add Files-Excluded into d/copyright.
  * [f90ab32] Imported Upstream version 5.0.0~rc2+dfsg. (Closes: #763504)
  * [163b2af] Remove beos-specific code.
  * [52c53de] Remove gnuplot.doc from source and binary.
  * [0bc7e41] Refresh patches.
  * [f69cc4e] Simplify autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Mon, 29 Sep 2014 22:49:44 +0200

gnuplot5 (5.0.0~rc+dfsg-1) unstable; urgency=medium

  * Initial packaging. (Closes: #754506)

 -- Anton Gladky <gladk@debian.org>  Fri, 11 Jul 2014 23:36:40 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,36 @@
 Section: math
 Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9)
+Build-Depends: autoconf,
+               automake,
+               debhelper (>= 9.20160403),
+               dh-autoreconf,
+               dh-lua,
+               libcairo2-dev,
+               libedit-dev,
+               libgd2-dev,
+               liblua5.1-dev,
+               libpango1.0-dev,
+               libpng-dev,
+               qtbase5-dev,
+               qtbase5-dev-tools,
+               qttools5-dev-tools,
+               latex2html,
+               libqt5webkit5-dev,
+               libqt5opengl5-dev,
+               libqt5svg5-dev,
+               libx11-dev,
+               libxt-dev,
+               pkg-config,
+               texinfo,
+               texlive-fonts-recommended,
+               texlive-font-utils,
+               texlive-latex-base,
+               texlive-latex-extra,
+               texlive-latex-recommended,
+               libwxgtk3.0-dev,
+               zlib1g-dev,
+               emacs24
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/gnuplot.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/gnuplot.git
@@ -12,9 +41,11 @@
 
 Package: gnuplot
 Architecture: all
-Depends: gnuplot5-qt | gnuplot5-x11 | gnuplot5-nox,
+Depends: gnuplot-qt | gnuplot-x11 | gnuplot-nox,
          ${misc:Depends}
-Description: Command-line driven interactive plotting program
+Suggests: gnuplot-doc
+Provides: gnuplot5
+Description: Command-line driven interactive plotting program, version 5
  Gnuplot is a portable command-line driven interactive data and function
  plotting utility that supports lots of output formats, including drivers
  for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
@@ -26,3 +57,121 @@
  .
  This package is for transition and to install a full-featured gnuplot
  supporting the X11-output.
+
+Package: gnuplot-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Command-line driven interactive plotting program. Doc-package
+ Gnuplot is a portable command-line driven interactive data and function
+ plotting utility that supports lots of output formats, including drivers
+ for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
+ is packaged in gnuplot-x11.
+ .
+ Data files and self-defined functions can be manipulated by the internal
+ C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
+ and can work with complex numbers.
+ .
+ This package contains the additional documentation.
+
+Package: gnuplot-nox
+Architecture: any
+Depends: gnuplot-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: fonts-liberation,
+            groff
+Suggests: gnuplot-doc
+Conflicts: gnuplot-qt,
+           gnuplot-x11
+Provides: gnuplot5-nox
+Replaces: gnuplot-qt,
+          gnuplot-x11
+Description: Command-line driven interactive plotting program. No-X package
+ Gnuplot is a portable command-line driven interactive data and function
+ plotting utility that supports lots of output formats, including drivers
+ for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
+ is packaged in gnuplot-x11. The QT-output is packaged in gnuplot-qt.
+ .
+ Data files and self-defined functions can be manipulated by the internal
+ C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
+ and can work with complex numbers.
+ .
+ This package is for working without an X server.
+
+Package: gnuplot-qt
+Architecture: any
+Depends: gnuplot-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: gnuplot-doc
+Conflicts: gnuplot-x11,
+           gnuplot-nox
+Provides: gnuplot-nox,
+          gnuplot5-qt
+Replaces: gnuplot-x11,
+          gnuplot-nox
+Description: Command-line driven interactive plotting program. QT-package
+ Gnuplot is a portable command-line driven interactive data and function
+ plotting utility that supports lots of output formats, including drivers
+ for many printers, (La)TeX, (x)fig, Postscript, and so on.
+ .
+ Data files and self-defined functions can be manipulated by the internal
+ C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
+ and can work with complex numbers.
+ .
+ This package contains the terminal driver that enables gnuplot to plot
+ images interactively under X11. Most users will want this, it is however
+ packaged separately so that low-end systems don't need X installed to use
+ gnuplot.
+ .
+ The package provides gnuplot-x11 and gnuplot-nox terminals plus an
+ additional QT-terminal for output (not default one).
+
+Package: gnuplot-x11
+Architecture: any
+Depends: gnuplot-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: gnuplot-doc
+Conflicts: gnuplot-qt,
+           gnuplot-nox
+Provides: gnuplot-nox,
+          gnuplot5-x11
+Replaces: gnuplot-qt,
+          gnuplot-nox
+Description: Command-line driven interactive plotting program. X-package
+ Gnuplot is a portable command-line driven interactive data and function
+ plotting utility that supports lots of output formats, including drivers
+ for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
+ is packaged in gnuplot-x11.
+ .
+ Data files and self-defined functions can be manipulated by the internal
+ C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
+ and can work with complex numbers.
+ .
+ This package contains the terminal driver that enables gnuplot to plot
+ images interactively under X11. Most users will want this, it is however
+ packaged separately so that low-end systems don't need X installed to use
+ gnuplot.
+
+Package: gnuplot-data
+Architecture: all
+Section: doc
+Depends: aglfn,
+         ${misc:Depends}
+Breaks: gnuplot5-data,
+        gnuplot-tex (<= 4.6.6-3)
+Replaces: gnuplot5-data,
+          gnuplot-tex (<= 4.6.6-3)
+Description: Command-line driven interactive plotting program. Data-files
+ Gnuplot is a portable command-line driven interactive data and function
+ plotting utility that supports lots of output formats, including drivers
+ for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
+ is packaged in gnuplot-x11.
+ .
+ Data files and self-defined functions can be manipulated by the internal
+ C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
+ and can work with complex numbers.
+ .
+ This package contains data-files which are used by -nox, -x11 and -qt.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

export DEB_BUILD_MAINT_OPTIONS := hardening=+all,-pie
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Tell compiler where should find lua headers
export DEB_CFLAGS_MAINT_APPEND = -I/usr/include/lua5.1

# Force the use of qt5
export QT_SELECT=qt5

# Qt insists on using -fPIC
export DEB_CXXFLAGS_MAINT_APPEND = -fPIC

BUILDDIR_NOX = $(CURDIR)/debian/build-nox
BUILDDIR_X11 = $(CURDIR)/debian/build-x11
BUILDDIR_QT = $(CURDIR)/debian/build-qt
MANPNOX = $(CURDIR)/debian/gnuplot-nox/usr/share/man/man1/gnuplot-nox.1

conf_opts += \
	--prefix=/usr \
	--mandir=\$${prefix}/share/man \
	--libexecdir=\$${prefix}/lib/gnuplot \
	--datadir=\$${prefix}/share/gnuplot \
	--with-gihdir=\$${prefix}/share/gnuplot \
	--without-lasergnu \
	--with-png \
	--with-gd \
	--without-lisp-files \
	--without-linux-vga \
	--with-readline=bsd

override_dh_auto_configure:
	mkdir -p $(BUILDDIR_NOX)
	cd $(BUILDDIR_NOX);  ./../../configure $(conf_opts) --with-qt=no --without-x --disable-wxwidgets
	mkdir -p $(BUILDDIR_X11)
	cd $(BUILDDIR_X11); ../../configure $(conf_opts) --with-qt=no --with-tutorial
	mkdir -p $(BUILDDIR_QT)
	cd $(BUILDDIR_QT); ../../configure $(conf_opts)  --enable-qt

override_dh_auto_build:
	dh_auto_build -a -- -C $(BUILDDIR_NOX)/src
	dh_auto_build -a -- -C $(BUILDDIR_X11) pkglibexecdir='$$(libexecdir)'
	dh_auto_build -a -- -C $(BUILDDIR_QT) pkglibexecdir='$$(libexecdir)'
	cd $(BUILDDIR_X11)/docs; $(MAKE) pdf; $(MAKE) ps; $(MAKE) html; $(MAKE) info; ls
	cd $(BUILDDIR_X11)/tutorial; $(MAKE) pdf; $(MAKE) ps; ls
	sed -i '/<ADDRESS>/,/<\/ADDRESS>/{//!d}' $(BUILDDIR_X11)/docs/htmldocs/index.html
	sed -i '/<ADDRESS>/,/<\/ADDRESS>/{//!d}' $(BUILDDIR_X11)/docs/htmldocs/figures.html
	rm -f $(BUILDDIR_X11)/docs/htmldocs/internals.pl
	rm -f $(BUILDDIR_X11)/docs/htmldocs/labels.pl
	rm -f $(BUILDDIR_X11)/docs/htmldocs/images.log
	rm -f $(BUILDDIR_X11)/docs/htmldocs/WARNINGS
	rm -f $(BUILDDIR_X11)/docs/gpcard.ps

override_dh_auto_install:
	$(MAKE) -C $(BUILDDIR_NOX) install DESTDIR=$(CURDIR)/debian/tmp/NOX/ \
		pkglibexecdir='$$(libexecdir)'
	mv $(CURDIR)/debian/tmp/NOX/usr/bin/gnuplot $(CURDIR)/debian/tmp/NOX/usr/bin/gnuplot-nox
	mv $(CURDIR)/debian/tmp/NOX/usr/share/man/man1/gnuplot.1 $(CURDIR)/debian/tmp/NOX/usr/share/man/man1/gnuplot-nox.1
	mv $(CURDIR)/debian/tmp/NOX/usr/share/gnuplot/gnuplot.gih $(CURDIR)/debian/tmp/NOX/usr/share/gnuplot/gnuplot-nox.gih
	$(MAKE) -C $(BUILDDIR_X11) install DESTDIR=$(CURDIR)/debian/tmp/X11/ \
		pkglibexecdir='$$(libexecdir)'
	mv $(CURDIR)/debian/tmp/X11/usr/bin/gnuplot $(CURDIR)/debian/tmp/X11/usr/bin/gnuplot-x11
	mv $(CURDIR)/debian/tmp/X11/usr/share/man/man1/gnuplot.1 $(CURDIR)/debian/tmp/X11/usr/share/man/man1/gnuplot-x11.1
	mv $(CURDIR)/debian/tmp/X11/usr/share/gnuplot/gnuplot.gih $(CURDIR)/debian/tmp/X11/usr/share/gnuplot/gnuplot-x11.gih
	$(MAKE) -C $(BUILDDIR_QT) install DESTDIR=$(CURDIR)/debian/tmp/QT/ \
		pkglibexecdir='$$(libexecdir)'
	mv $(CURDIR)/debian/tmp/QT/usr/bin/gnuplot $(CURDIR)/debian/tmp/QT/usr/bin/gnuplot-qt
	mv $(CURDIR)/debian/tmp/QT/usr/share/man/man1/gnuplot.1 $(CURDIR)/debian/tmp/QT/usr/share/man/man1/gnuplot-qt.1
	mv $(CURDIR)/debian/tmp/QT/usr/share/gnuplot/gnuplot.gih $(CURDIR)/debian/tmp/QT/usr/share/gnuplot/gnuplot-qt.gih
	rm -f $(CURDIR)/../demo/Makefile
	rm -f $(CURDIR)/../demo/plugin/Makefile
	rm -f $(BUILDDIR_X11)/demo/Makefil*
	rm -f $(BUILDDIR_X11)/demo/plugin/Makefil*

#override_dh_installinfo:
#	dh_installinfo -pgnuplot-doc $(BUILDDIR_X11)/docs/gnuplot5.info

override_installchangelogs:
	dh_installchangelogs -pgnuplot-doc ChangeLog

override_dh_installman-arch:
	dh_installman -a
	# Fix manpage for nox-version. (Closes: #744218)
	sed -i 's/\[X11 options\] //g' $(MANPNOX)
	sed -i 's/plotting program/plotting program (no-X version)/g' $(MANPNOX)
	sed -i '/SH\ X11\ OPTIONS/,/command line\./ d' $(MANPNOX)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(BUILDDIR_NOX)
	rm -rf $(BUILDDIR_X11)
	rm -rf $(BUILDDIR_QT)

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg2,dversionmangle=s/\+dfsg\d*$// \
http://sf.net/gnuplot/gnuplot-([\d.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## gnuplot 5.0.4+dfsg1

=== debian/changelog ===
gnuplot (5.0.4+dfsg1-3) unstable; urgency=medium

  * [a5ccd06] Disable lua for mips* and powerpc to escape crashes.

 -- Anton Gladky <gladk@debian.org>  Wed, 03 Aug 2016 17:46:29 +0200

gnuplot (5.0.4+dfsg1-2) unstable; urgency=medium

  * [081cf03] Fix debhelper version dependency.

 -- Anton Gladky <gladk@debian.org>  Tue, 02 Aug 2016 18:11:31 +0200

gnuplot (5.0.4+dfsg1-1) unstable; urgency=medium

  * [e06b554] Update NEWS file. (Closes: #827918)
  * [1ebeecc] Imported Upstream version 5.0.4+dfsg1
  * [4176d8a] Refresh patches.
  * [500191f] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Mon, 01 Aug 2016 23:36:00 +0200

gnuplot (5.0.3+dfsg3-7) unstable; urgency=medium

  * [2a1377d] Fix the crash during resize of qt-window. (Closes: #827351)

 -- Anton Gladky <gladk@debian.org>  Sat, 18 Jun 2016 08:27:47 +0200

gnuplot (5.0.3+dfsg3-6) unstable; urgency=medium

  [ Alexis Bienvenüe ]
  * [8487b29] Make the build reproducible. (Closes: #827197)

 -- Anton Gladky <gladk@debian.org>  Mon, 13 Jun 2016 22:06:57 +0200

=== debian/rules ===
--- 
+++ 
@@ -33,13 +33,17 @@
 	--without-linux-vga \
 	--with-readline=bsd
 
+ifneq (,$(filter $(DEB_HOST_ARCH), mips mips64el powerpc mipsel))
+	conf_opts += --without-lua
+endif
+
 override_dh_auto_configure:
 	mkdir -p $(BUILDDIR_NOX)
-	cd $(BUILDDIR_NOX);  ./../../configure $(conf_opts) --with-qt=no --without-x --disable-wxwidgets
+	cd $(BUILDDIR_NOX); CONFIG_SHELL=/bin/sh ./../../configure $(conf_opts) --with-qt=no --without-x --disable-wxwidgets
 	mkdir -p $(BUILDDIR_X11)
-	cd $(BUILDDIR_X11); ../../configure $(conf_opts) --with-qt=no --with-tutorial
+	cd $(BUILDDIR_X11); CONFIG_SHELL=/bin/sh ../../configure $(conf_opts) --with-qt=no --with-tutorial
 	mkdir -p $(BUILDDIR_QT)
-	cd $(BUILDDIR_QT); ../../configure $(conf_opts)  --enable-qt
+	cd $(BUILDDIR_QT); CONFIG_SHELL=/bin/sh ../../configure $(conf_opts)  --enable-qt
 
 override_dh_auto_build:
 	dh_auto_build -a -- -C $(BUILDDIR_NOX)/src
